cURL
curl --request POST \
--url https://api.eda.prisme.ai/v2/user/photo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form photo='@example-file'import requests
url = "https://api.eda.prisme.ai/v2/user/photo"
files = { "photo": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('photo', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.eda.prisme.ai/v2/user/photo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"firstName": "<string>",
"email": "foo@prisme.ai",
"language": "<string>",
"authData": {
"anonymous": {},
"prismeai": {},
"azure": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"language": "<unknown>"
}
},
"meta": {},
"platformRole": "<string>",
"groupAcls": {},
"lastName": "<string>",
"photo": "<string>",
"groups": [
"<string>"
],
"id": "<string>"
}{
"error": "BadParameters",
"message": "<string>",
"details": "<unknown>"
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}API Gateway
Post v2userphoto
Update user photo
POST
/
v2
/
user
/
photo
cURL
Authorizations
BearerAuthWorkspaceApiKeyAuthBearerAuth & WorkspaceApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-data
Photo as binary
Response
Success Response
Name
Example:
"foo@prisme.ai"
Available options:
pending, validated, deactivated Show child attributes
Show child attributes
Available options:
totp, none, * Show child attributes
Show child attributes
Name
Profile picture URL
Unique id
Was this page helpful?
⌘I